Package org.kapott.hbci.sepa.jaxb.camt_052_001_01

## Class CashAccount13

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_01.CashAccount13

    public class CashAccount13
    extends java.lang.Object

Java class for CashAccount13 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashAccount13">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Id" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}AccountIdentification3Choice"/>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CashAccountType2" minOccurs="0"/>
             <element name="Ccy" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}CurrencyCode" minOccurs="0"/>
             <element name="Nm" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}Max70Text" minOccurs="0"/>
             <element name="Ownr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}PartyIdentification8" minOccurs="0"/>
             <element name="Svcr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.01}BranchAndFinancialInstitutionIdentification3" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `ccy`
`protected AccountIdentification3Choice` `id`
`protected java.lang.String` `nm`
`protected PartyIdentification8` `ownr`
`protected BranchAndFinancialInstitutionIdentification3` `svcr`
`protected CashAccountType2` `tp`

### Constructor Summary

Constructors
`CashAccount13()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getCcy()` Gets the value of the ccy property.
`AccountIdentification3Choice` `getId()` Gets the value of the id property.
`java.lang.String` `getNm()` Gets the value of the nm property.
`PartyIdentification8` `getOwnr()` Gets the value of the ownr property.
`BranchAndFinancialInstitutionIdentification3` `getSvcr()` Gets the value of the svcr property.
`CashAccountType2` `getTp()` Gets the value of the tp property.
`void` `setCcy​(java.lang.String value)` Sets the value of the ccy property.
`void` `setId​(AccountIdentification3Choice value)` Sets the value of the id property.
`void` `setNm​(java.lang.String value)` Sets the value of the nm property.
`void` `setOwnr​(PartyIdentification8 value)` Sets the value of the ownr property.
`void` `setSvcr​(BranchAndFinancialInstitutionIdentification3 value)` Sets the value of the svcr property.
`void` `setTp​(CashAccountType2 value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### id

    protected AccountIdentification3Choice id

#### tp

    protected CashAccountType2 tp

#### ccy

    protected java.lang.String ccy

#### nm

    protected java.lang.String nm

#### ownr

    protected PartyIdentification8 ownr

#### svcr

    protected BranchAndFinancialInstitutionIdentification3 svcr

### Constructor Detail

#### CashAccount13

    public CashAccount13()

### Method Detail

#### getId

    public AccountIdentification3Choice getId()

Gets the value of the id property.

Returns:
  possible object is `AccountIdentification3Choice`

#### setId

    public void setId​(AccountIdentification3Choice value)

Sets the value of the id property.

Parameters:
  `value` - allowed object is `AccountIdentification3Choice`

#### getTp

    public CashAccountType2 getTp()

Gets the value of the tp property.

Returns:
  possible object is `CashAccountType2`

#### setTp

    public void setTp​(CashAccountType2 value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `CashAccountType2`

#### getCcy

    public java.lang.String getCcy()

Gets the value of the ccy property.

Returns:
  possible object is `String`

#### setCcy

    public void setCcy​(java.lang.String value)

Sets the value of the ccy property.

Parameters:
  `value` - allowed object is `String`

#### getNm

    public java.lang.String getNm()

Gets the value of the nm property.

Returns:
  possible object is `String`

#### setNm

    public void setNm​(java.lang.String value)

Sets the value of the nm property.

Parameters:
  `value` - allowed object is `String`

#### getOwnr

    public PartyIdentification8 getOwnr()

Gets the value of the ownr property.

Returns:
  possible object is `PartyIdentification8`

#### setOwnr

    public void setOwnr​(PartyIdentification8 value)

Sets the value of the ownr property.

Parameters:
  `value` - allowed object is `PartyIdentification8`

#### getSvcr

    public BranchAndFinancialInstitutionIdentification3 getSvcr()

Gets the value of the svcr property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification3`

#### setSvcr

    public void setSvcr​(BranchAndFinancialInstitutionIdentification3 value)

Sets the value of the svcr property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification3`